/**
 * H5API客户端对接接口
 */
window.h5api = {
  initGame: function() {
  },
  /**
   * 设置进度条进度
   * @param {int} num 范围1~100，进度值
   */
  progress: function (num) {
  },

  /**
   * 提交分数
   * @param {int} score 分数
   * @param {func} callback 回调函数
   */
  submitScore: function (score, callback) {
    parent.h5api.submitScore(score, callback);
  },

  /**
   * 获得排行榜
   * @param {func} callback 回调函数
   */
  getRank: function (callback) {
    parent.h5api.getRank(callback);
  },

  /**
   * 是否能播放广告
   * @param {func} callback 回调函数
   * @returns {boolean} 是否能播放广告
   */
  canPlayAd: function (callback) {
    return parent.h5api.canPlayAd(callback);
  },

  /**
   * 播放广告
   * @param {func} callback 回调函数
   */
  playAd: function (callback) {
    parent.h5api.playAd(callback);
  },

  /**
   * 记录关卡
   */
  showScreen: function () {
      parent.h5api.showScreen();
  },

  /**
   * 调用分享功能
   */
  share: function () {
    return false;
  },

  /**
   * 获得用户当前是否登录
   */
  isLogin: function () {
    return true;
  },

  /**
   * 用户登录
   * @param {func} callback 回调函数
   */
  login: function (callback) {
    parent.h5api.login(callback);
  },


  /**
   * 获得用户小头像地址，高宽为48*48像素
   */
  getUserSmallAvatar: function (uid) {
    return this.getUserAvatar(uid, 'small');
  },

  /**
   * 获得用户大头像地址，高宽为200*200像素
   */
  getUserBigAvatar: function (uid) {
    return this.getUserAvatar(uid, 'big');
  },

  /**
   * 提交排名
   *
   * @param {int} score 分数
   * @param {func} callback 回调函数
   */
  submitRanking: function (score, callback) {
    parent.h5api.submitRanking(score, callback);
  },

  /**
   * 新版提交排名
   * @param {*} rankId 排行榜id
   * @param {*} score 分数
   * @param {*} callback 回调函数
   */
  submitRankScore: function (rankId, score, callback) {
      parent.h5api.showScreen();
  },

  /**
   * 获得我的排名
   *
   * @param {func} callback 回调函数
   */
  getMyRanking: function (callback) {
    parent.h5api.getMyRanking(callback);
  },

  /**
   * 获得排名列表
   *
   * @param {func} callback 回调函数
   * @param {int} page 页码 从1开始
   * @param {int} step 每页条数
   */
  getRanking: function (callback, page, step) {
    parent.h5api.getRanking(callback, page, step);
  },

  /**
   * 展示排行榜列表面板
   */
  showRanking: function () {
    parent.h5api.showRanking();
  },

  /**
   * 展示新版排行榜面板
   */
  showRankList: function () {
    parent.h5api.showRankList();
  },

  /**
   * 获得我附近排名列表
   *
   * @param {func} callback 回调函数
   * @param {int} step 需要条数
   */
  getNearRanking: function (callback, step) {
    parent.h5api.getNearRanking(callback, step);
  },

  /**
   * 敏感词检查
   *
   * @param {*} word
   * @param {*} callback
   */
  checkWord: function (word, callback) {
    parent.h5api.checkWord(word, callback);
  },
  /*
   * 展示推荐面板
   */
  showRecommend: function () {
    parent.h5api.showRecommend();
  },
  /**
   * 存档
   * @param {*} params.more 是否是多档 true | false
   * @param {*} params.type 操作类型 write | read
   * @param {*} params.title 存档标题 type为write时必填
   * @param {*} params.data 存档数据 type为write时必填
   * @param {*} params.callback 回调函数
   */
  save: function (params) {
    parent.h5api.save(params);
  },
  /**
   * 游戏模式
   * @param {*} mode 1 游客 2 账户，不传则打开面板
   */
  gameMode: function (mode) {
    parent.h5api.gameMode(mode);
  }
};
// window.h5api.canPlayAd();
